import Vue from 'vue'
import Router from 'vue-router'
import TeacherRouter from './teacherRouter'


Vue.use(Router)

let defaultRouter = [
    {
        path: '/',
        redirect:  {
            name: 'business'
        }
    }]

defaultRouter = defaultRouter.concat(TeacherRouter)

export default new Router({
    // mode: 'history',
    base: process.env.BASE_URL,
    routes: defaultRouter,
    scrollBehavior() {
        return { x: 0, y: 0 }
    }
})
